gr::ieee802_15_4::preamble_sfd_prefixer_ii_impl Class Reference

`#include <preamble_sfd_prefixer_ii_impl.h>`

Inheritance diagram for gr::ieee802_15_4::preamble_sfd_prefixer_ii_impl:
[legend]

## Public Member Functions

| preamble_sfd_prefixer_ii_impl (std::vector< int > preamble, std::vector< int > sfd, int nsym_frame)
| ~preamble_sfd_prefixer_ii_impl ()
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::ieee802_15_4::preamble_sfd_prefixer_ii
typedef boost::shared_ptr< preamble_sfd_prefixer_ii > | sptr
Static Public Member Functions inherited from gr::ieee802_15_4::preamble_sfd_prefixer_ii
static sptr | make (std::vector< int > preamble, std::vector< int > sfd, int nsym_frame)
| Return a shared_ptr to a new instance of ieee802_15_4::preamble_sfd_prefixer_ii. More...

## Constructor & Destructor Documentation

## preamble_sfd_prefixer_ii_impl()

gr::ieee802_15_4::preamble_sfd_prefixer_ii_impl::preamble_sfd_prefixer_ii_impl | ( | std::vector< int > | preamble,
|  | std::vector< int > | sfd,
|  | int | nsym_frame
| ) |  |

## ~preamble_sfd_prefixer_ii_impl()

gr::ieee802_15_4::preamble_sfd_prefixer_ii_impl::~preamble_sfd_prefixer_ii_impl | ( |  | ) |

## Member Function Documentation

## general_work()

int gr::ieee802_15_4::preamble_sfd_prefixer_ii_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- preamble_sfd_prefixer_ii_impl.h